import { createApi, fetchBaseQuery } from '@reduxjs/toolkit/query';

const baseQuery = fetchBaseQuery({
  baseUrl: process.env.TAYLOR_API_ENDPOINT,
  headers: {
    Authorization: process.env.TAYLOR_API_TOKEN || '',
  },
});

export const taylorAPI = createApi({
  reducerPath: 'taylorAPI',
  baseQuery,
  endpoints: () => ({}),
});
